<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="房间id" prop="roomId" v-model="form.roomId" placeholder="请输入房间id"/>
                            <Field label="房间名称" prop="roomName" v-model="form.roomName" placeholder="请输入房间名称"/>
                            <Field label="工作人员id" prop="workmanId" v-model="form.workmanId" placeholder="请输入工作人员id"/>
                            <Field label="工作人员名称" prop="workmanName" v-model="form.workmanName" placeholder="请输入工作人员名称"/>
                            <Field label="备注" prop="remark" v-model="form.remark" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "RoomWorkmanDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("room/workman")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "房间工作人员信息",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    roomName: [
                        {required: true,message: "请输入房间名称", trigger: "blur" },
                        {max: 64,message: "最多只能录入64个字符",trigger: "blur",},
                    ],
                    workmanName: [
                        {required: true,message: "请输入工作人员名称", trigger: "blur" },
                        {max: 64,message: "最多只能录入64个字符",trigger: "blur",},
                    ],
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="room/workman/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改房间工作人员信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "room/workman/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增房间工作人员信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="room/workman/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "房间工作人员信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    roomId : null,
                    roomName : "",
                    workmanId : null,
                    workmanName : "",
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
